org.kie.api.management

## Interface KieBaseConfigurationMonitorMBean

-     public interface KieBaseConfigurationMonitorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlphaNodeHashingThreshold()` Deprecated.
    `String` | `getAssertBehaviour()`
    `int` | `getCompositeKeyDepth()` Deprecated.
    `String` | `getEventProcessingMode()`
    `int` | `getMaxThreads()` Deprecated.
    `String` | `getSequentialAgenda()` Deprecated.
    `boolean` | `isAdvancedProcessRuleIntegration()`
    `boolean` | `isIndexLeftBetaMemory()` Deprecated.
    `boolean` | `isIndexRightBetaMemory()` Deprecated.
    `boolean` | `isMaintainTms()` Deprecated.
    `boolean` | `isMBeansEnabled()`
    `boolean` | `isMultithreadEvaluation()` Deprecated.
    `boolean` | `isRemoveIdentities()`
    `boolean` | `isSequential()` Deprecated.
    `boolean` | `isShareAlphaNodes()` Deprecated.
    `boolean` | `isShareBetaNodes()` Deprecated.

- - ### Method Detail

    - #### getAlphaNodeHashingThreshold

          @Deprecated
          int getAlphaNodeHashingThreshold()

      Deprecated.

    - #### getAssertBehaviour

          String getAssertBehaviour()

    - #### getCompositeKeyDepth

          @Deprecated
          int getCompositeKeyDepth()

      Deprecated.

    - #### getEventProcessingMode

          String getEventProcessingMode()

    - #### getMaxThreads

          @Deprecated
          int getMaxThreads()

      Deprecated.

    - #### getSequentialAgenda

          @Deprecated
          String getSequentialAgenda()

      Deprecated.

    - #### isAdvancedProcessRuleIntegration

          boolean isAdvancedProcessRuleIntegration()

    - #### isIndexLeftBetaMemory

          @Deprecated
          boolean isIndexLeftBetaMemory()

      Deprecated.

    - #### isIndexRightBetaMemory

          @Deprecated
          boolean isIndexRightBetaMemory()

      Deprecated.

    - #### isMaintainTms

          @Deprecated
          boolean isMaintainTms()

      Deprecated.

    - #### isMBeansEnabled

          boolean isMBeansEnabled()

    - #### isMultithreadEvaluation

          @Deprecated
          boolean isMultithreadEvaluation()

      Deprecated.

    - #### isRemoveIdentities

          boolean isRemoveIdentities()

    - #### isSequential

          @Deprecated
          boolean isSequential()

      Deprecated.

    - #### isShareAlphaNodes

          @Deprecated
          boolean isShareAlphaNodes()

      Deprecated.

    - #### isShareBetaNodes

          @Deprecated
          boolean isShareBetaNodes()

      Deprecated.

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.